package com.ruoyi.bst.device.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.bst.device.domain.DeviceQuery;
import com.ruoyi.bst.device.domain.vo.DeviceStatVO;

public interface DeviceDashboard {

    /**
     * 查询设备统计
     */
    DeviceStatVO selectStat(DeviceQuery query, List<String> keys);

    /**
     * 查询设备数量
     */
    Integer selectCount(DeviceQuery query);

    /**
     * 查询设备状态数量
     */
    Map<String, Integer> selectStatusCount(DeviceQuery query);

    /**
     * 查询设备在线状态数量
     */
    Map<String, Integer> selectOnlineStatusCount(DeviceQuery query);
}
